## org.biojava.bio.gui.sequence
Class CircularMLR

    java.lang.Object
      org.biojava.bio.gui.sequence.CircularMLR

All Implemented Interfaces:
  CircularRenderer

    public class CircularMLR

extends Object
implements CircularRenderer

Renders multiple renderers, each in their own concentric rings.

Since:
  1.4
Author:
  Matthew Pocock

Constructor Summary
`CircularMLR()`

Method Summary
`void` `addRenderer(CircularRenderer renderer)`
`double` `getDepth(CircularRendererContext crc)` Get the depth needed for this renderer.
`void` `paint(Graphics2D g2, CircularRendererContext crc)` Paint this renderer.
`void` `removeRenderer(CircularRenderer renderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircularMLR

    public CircularMLR()

Method Detail

### addRenderer

    public void addRenderer(CircularRenderer renderer)

### removeRenderer

    public void removeRenderer(CircularRenderer renderer)

### getDepth

    public double getDepth(CircularRendererContext crc)

  Description copied from interface: `CircularRenderer`
  Get the depth needed for this renderer.

  Specified by:
    `getDepth` in interface `CircularRenderer`
  Parameters:
    `crc` - the CircularRendererContext to render information from
  Returns:
    the depth required to render the context

### paint

    public void paint(Graphics2D g2,
                      CircularRendererContext crc)

  Description copied from interface: `CircularRenderer`
  Paint this renderer.

  Specified by:
    `paint` in interface `CircularRenderer`
  Parameters:
    `g2` - the graphics to paint to
    `crc` - the context giving the data to paint